Together AI SDK (Python)
from together import Together
client = Together()
# The SDK has no dedicated method for this endpoint yet, so call it with
# the client's generic GET helper.
models = client.get(
"/evaluation/model-list",
cast_to=object,
options={"params": {"model_source": "serverless"}},
)
print(models)
import Together from "together-ai";
const client = new Together();
// The SDK has no dedicated method for this endpoint yet, so call it with
// the client's generic GET helper.
const models = await client.get("/evaluation/model-list", {
query: { model_source: "serverless" },
});
console.log(models);
import Together from "together-ai";
const client = new Together();
// The SDK has no dedicated method for this endpoint yet, so call it with
// the client's generic GET helper.
const models = await client.get("/evaluation/model-list", {
query: { model_source: "serverless" },
});
console.log(models);
curl --request GET \
--url https://api.together.ai/v1/evaluation/model-list \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/evaluation/model-list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/evaluation/model-list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v1/evaluation/model-list")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/evaluation/model-list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"model_list": [
"<string>"
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}Evaluations
Get model list
GET
/
v1
/
evaluation
/
model-list
Together AI SDK (Python)
from together import Together
client = Together()
# The SDK has no dedicated method for this endpoint yet, so call it with
# the client's generic GET helper.
models = client.get(
"/evaluation/model-list",
cast_to=object,
options={"params": {"model_source": "serverless"}},
)
print(models)
import Together from "together-ai";
const client = new Together();
// The SDK has no dedicated method for this endpoint yet, so call it with
// the client's generic GET helper.
const models = await client.get("/evaluation/model-list", {
query: { model_source: "serverless" },
});
console.log(models);
import Together from "together-ai";
const client = new Together();
// The SDK has no dedicated method for this endpoint yet, so call it with
// the client's generic GET helper.
const models = await client.get("/evaluation/model-list", {
query: { model_source: "serverless" },
});
console.log(models);
curl --request GET \
--url https://api.together.ai/v1/evaluation/model-list \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v1/evaluation/model-list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v1/evaluation/model-list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v1/evaluation/model-list")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v1/evaluation/model-list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"model_list": [
"<string>"
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter models by source
Response
Model list retrieved successfully
The name of the model
Was this page helpful?
⌘I